useCython = True
useCython = False

import distutils.core
import distutils.extension
if useCython:
    import Cython.Distutils
    from   Cython.Distutils import build_ext
else:
    import Pyrex.Distutils
    from   Pyrex.Distutils import build_ext

useDynamic = False
useDynamic = True

if useDynamic:
    distutils.core.setup(
        name        = 'testcimport',
        version     = '1.0x',
        ext_modules = [ 
            distutils.extension.Extension("libsquare",  ["libsquare.c", ], ),
            distutils.extension.Extension("testcimport.module",  ["testcimport.module.pyx", ],  library_dirs=['./',], libraries=['libsquare',], ),
            distutils.extension.Extension("testcimport.usetest", ["testcimport.usetest.pyx", ], library_dirs=['./',], libraries=['libsquare',], ),
        ],
        cmdclass = {'build_ext': build_ext},
        package_dir = {'testcimport': '.'},
    )
else:
    distutils.core.setup(
        name        = 'testcimport',
        version     = '1.0x',
        ext_modules = [ 
            distutils.extension.Extension("testcimport.module",  ["testcimport.module.pyx", "libsquare.c", ], ),
            distutils.extension.Extension("testcimport.usetest", ["testcimport.usetest.pyx", ], ),
        ],
        cmdclass = {'build_ext': build_ext},
        package_dir = {'testcimport': '.'},
    )


print
